rFFrankJoe {copula} | R Documentation

## Sampling Distribution F for Frank and Joe

### Description

Generate a vector of variates V ~ F from the distribution function F with Laplace-Stieltjes transform

(1-(1-exp(-t)*(1-e^(-theta1)))^alpha)/(1-e^(-theta0)),

for Frank, or

1-(1-exp(-t))^alpha

for Joe, respectively, where theta0 and theta1 denote two parameters of Frank (that is, theta0,theta1 in (0,Inf)) and Joe (that is, theta0,theta1 in [1,Inf)) satisfying theta0 <= theta1 and alpha=theta0/theta1.

### Usage

    rFFrank(n, theta0, theta1, rej)
    rFJoe(n, alpha)

### Arguments

`n` | number of variates from F.
`theta0` | parameter theta0.
`theta1` | parameter theta1.
`rej` | method switch for `rFFrank`: if `theta0` > `rej` a rejection from Joe's family (Sibuya distribution) is applied (otherwise, a logarithmic envelope is used).
`alpha` | parameter alpha = theta0/theta1 in (0,1] for `rFJoe`.

### Details

`rFFrank(n, theta0, theta1, rej)` calls `rF01Frank(rep(1,n), theta0, theta1, rej, 1)` and `rFJoe(n, alpha)` calls `rSibuya(n, alpha)`.

### Value

numeric vector of random variates V of length `n`.

### See Also

`rF01Frank`, `rF01Joe`, also for references. `rSibuya`, and `rnacopula`.

### Examples

    ## Simple definition of the functions:
    rFFrank
    rFJoe

[Package copula version 0.999-15 Index]